收藏
回答

关于移植Lottie动画库的使用

我最近想在微信小程序上跑一下Lottie,在GitHub上把大佬的代码clone下来后结果example没跑起来,新建一个空项目按readme来用npm安装Lottie-miniapp第三方库,结果也一直报错。想问一下有没有大佬尝试过能跑起来?配置了两天一直没有什么进展。


下面是大佬的Lottie-miniapp项目地址

https://github.com/landn172/lottie-miniapp

回答关注问题邀请回答
收藏

4 个回答

  • 铭锋科技
    铭锋科技
    2019-03-18

    注意路径不要搞错

    另外也可以使用组件形式

    2019-03-18
    有用 1
    回复
  • landn172
    landn172
    01-06

    Hi,我是lottie-miniapp作者,有什么问题欢迎在github上提issues反馈

    01-06
    有用
    回复 1
    • Hey Kong
      Hey Kong
      05-07
      老哥 把这个插件删掉吧 我真是枯了 各种问题
      05-07
      回复
  • zxb000
    zxb000
    2019-07-17

    大佬的方法是对的,要先把大佬的包 build 成组件,然后再加载到小程序组件里依赖,我的跑通来,就是用的这位大佬的包,顺手修复了下:this.createIntersectionObserver([options]) 的问题,可以参考我的项目:https://github.com/zxbin2000/lottie-miniapp

    2019-07-17
    有用
    回复 2
    • 驰子
      驰子
      2019-07-19
      谢谢分享
      2019-07-19
      回复
    • 茶与布朗
      茶与布朗
      2019-08-21
      参考你的项目 运行 lib.js报错啊 example的demo也看不了
      2019-08-21
      回复
  • cici-evil girl
    cici-evil girl
    2019-07-11

    我的也一直报错   请问你的问题解决了吗

    2019-07-11
    有用
    回复
登录 后发表内容